<?php
/*----------------------------------------------------------------------------------|  www.vdm.io  |----/
				Lmskaran 
/-------------------------------------------------------------------------------------------------------/

	@version		1.0.77
	@build			6th April, 2022
	@created		22nd July, 2020
	@package		Moojla
	@subpackage		coursegroupmapsfilterrole.php
	@author			Lmskaran <http://Lmskaran.com>	
	@copyright		Copyright (C) 2015. All Rights Reserved
	@license		GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
  ____  _____  _____  __  __  __      __       ___  _____  __  __  ____  _____  _  _  ____  _  _  ____ 
 (_  _)(  _  )(  _  )(  \/  )(  )    /__\     / __)(  _  )(  \/  )(  _ \(  _  )( \( )( ___)( \( )(_  _)
.-_)(   )(_)(  )(_)(  )    (  )(__  /(__)\   ( (__  )(_)(  )    (  )___/ )(_)(  )  (  )__)  )  (   )(  
\____) (_____)(_____)(_/\/\_)(____)(__)(__)   \___)(_____)(_/\/\_)(__)  (_____)(_)\_)(____)(_)\_) (__) 

/------------------------------------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the list field type
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

/**
 * Coursegroupmapsfilterrole Form Field class for the Moojla component
 */
class JFormFieldCoursegroupmapsfilterrole extends JFormFieldList
{
	/**
	 * The coursegroupmapsfilterrole field type.
	 *
	 * @var		string
	 */
	public $type = 'coursegroupmapsfilterrole';

	/**
	 * Method to get a list of options for a list input.
	 *
	 * @return	array    An array of JHtml options.
	 */
	protected function getOptions()
	{
		// Get a db connection.
		$db = JFactory::getDbo();

		// Create a new query object.
		$query = $db->getQuery(true);

		// Select the text.
		$query->select($db->quoteName('role'));
		$query->from($db->quoteName('#__moojla_course_group_map'));
		$query->order($db->quoteName('role') . ' ASC');

		// Reset the query using our newly populated query object.
		$db->setQuery($query);

		$results = $db->loadColumn();
		$_filter = array();

		if ($results)
		{
			// get course_group_mapsmodel
			$model = MoojlaHelper::getModel('course_group_maps');
			$results = array_unique($results);
			foreach ($results as $role)
			{
				// Translate the role selection
				$text = $model->selectionTranslation($role,'role');
				// Now add the role and its text to the options array
				$_filter[] = JHtml::_('select.option', $role, JText::_($text));
			}
		}
		return $_filter;
	}
}
